Index: /release-kits/lirk2/ant-scripts/build.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/build.xml	(revision 17256)
+++ /release-kits/lirk2/ant-scripts/build.xml	(revision 17257)
@@ -18,4 +18,5 @@
 	<import file="shared-ant-scripts/init.xml"/>
 	<import file="shared-ant-scripts/operations-on-gli.xml"/>
+	<import file="shared-ant-scripts/global-targets.xml"/>
 	<import file="../greenstone2/ant-scripts/rk2-targets.xml"/>
 	<import file="compile.xml"/>
Index: /release-kits/lirk2/ant-scripts/compile.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/compile.xml	(revision 17256)
+++ /release-kits/lirk2/ant-scripts/compile.xml	(revision 17257)
@@ -18,4 +18,7 @@
 		<antcall target="copy-library-oai"/>
 		<antcall target="strip-execs"/>
+
+		<!-- uninstaller -->
+		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
 
 		<!-- build collections -->
Index: /release-kits/lirk2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 17256)
+++ /release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 17257)
@@ -9,4 +9,5 @@
 		<antcall target="drop-in-demo-collection" />
 		<antcall target="drop-in-docs" />
+		<antcall target="insert-uninstaller"/> <!-- from rk2-targets -->
 		<antcall target="compile-gli" />
 		<antcall target="tweak-files" />
Index: /release-kits/lirk2/installer/build.xml
===================================================================
--- /release-kits/lirk2/installer/build.xml	(revision 17256)
+++ /release-kits/lirk2/installer/build.xml	(revision 17257)
@@ -55,4 +55,5 @@
 				<include name="READMEes.txt"/>
 				<include name="Support.htm"/>
+				<include name="Uninstall.jar"/>
 			</patternset>
 		</unzip>
@@ -107,4 +108,8 @@
 		<delete file="${installDir}/resources/*.png"/>
 
+		<echo>Creating installation properties file</echo>
+		<echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo>
+
+
 		<echo message="Finished"/>
 
Index: /release-kits/lirk3/ant-scripts/compile.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/compile.xml	(revision 17256)
+++ /release-kits/lirk3/ant-scripts/compile.xml	(revision 17257)
@@ -26,5 +26,5 @@
 
 		<!-- uninstaller -->
-		<antcall target="compile-uninstaller" />
+		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
 
 		<!-- documentation -->
Index: /release-kits/lirk3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 17256)
+++ /release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 17257)
@@ -29,5 +29,5 @@
 		<antcall target="insert-user-manual"/>
 		<antcall target="insert-compiled-binaries"/>
-		<antcall target="insert-uninstaller"/>
+		<antcall target="insert-uninstaller"/> <!-- from rk3-targets -->
 		<antcall target="rename-build-xml-for-transit"/>
 	</target>
Index: /release-kits/lirk3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-installer.xml	(revision 17256)
+++ /release-kits/lirk3/ant-scripts/create-installer.xml	(revision 17257)
@@ -21,4 +21,5 @@
 
 	<target name="compile-installer">
+
 		<installer file="${basedir}/installer/greenstone3-with-java.jar"
 				compress="true"
@@ -29,8 +30,6 @@
 				antLib="${lirk3.home}/packages/ant/lib"
 				validateConfig="true"
-				failOnError="false"
 				icons="bluecurve">
 
-			<!-- copy all the important files into the archive to be extracted for install -->
 			<zipfileset dir="${basedir}/installer/classes" includes="**/*" /> <!-- installer classes -->
 			<zipfileset dir="${basedir}/distribution/greenstone3" includes="**/*"/>
@@ -54,4 +53,5 @@
 			<zipfileset dir="${basedir}/distribution/greenstone3" includes="**/*"/>
 		</installer>
+
 	</target>
 
Index: /release-kits/lirk3/installer/build.xml
===================================================================
--- /release-kits/lirk3/installer/build.xml	(revision 17256)
+++ /release-kits/lirk3/installer/build.xml	(revision 17257)
@@ -19,5 +19,5 @@
 
 		<!-- create the installation directory -->
-		<echo message="Creating Installation directory"/>
+		<echo>Creating Installation directory</echo>
 		<echo>basedir: ${basedir}</echo>
 		<echo>installDir: ${installDir}</echo>
@@ -83,4 +83,7 @@
 		<delete file="${installDir}/resources/*.png"/>
 
+		<echo>Creating installation properties file</echo>
+		<echo file="${installDir}/installation.properties">#this file is just a placeholder for now</echo>
+
 		<echo>Finished</echo>
 
@@ -90,5 +93,5 @@
 	<target name="install-source-code" depends="">
 
-		<echo>Installing Source Code<echo>
+		<echo>Installing Source Code</echo>
 		<mkdir dir="${installDir}/src"/>
 		<unzip src="${antinstaller.jar}" dest="${installDir}">
Index: /release-kits/mark2/ant-scripts/build.xml
===================================================================
--- /release-kits/mark2/ant-scripts/build.xml	(revision 17256)
+++ /release-kits/mark2/ant-scripts/build.xml	(revision 17257)
@@ -22,4 +22,5 @@
 	<import file="shared-ant-scripts/init.xml"/>
 	<import file="shared-ant-scripts/operations-on-gli.xml"/>
+	<import file="shared-ant-scripts/global-targets.xml"/>
 	<import file="../greenstone2/ant-scripts/rk2-targets.xml"/>
 	<import file="compile.xml"/>
Index: /release-kits/mark2/ant-scripts/compile.xml
===================================================================
--- /release-kits/mark2/ant-scripts/compile.xml	(revision 17256)
+++ /release-kits/mark2/ant-scripts/compile.xml	(revision 17257)
@@ -16,4 +16,7 @@
 		<antcall target="copy-library-oai"/>
 		<antcall target="strip-execs"/>
+
+		<!-- uninstaller -->
+		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
 
 		<!-- build collections -->
Index: /release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17256)
+++ /release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17257)
@@ -11,4 +11,5 @@
 		<antcall target="drop-in-demo-collection" />
 		<antcall target="drop-in-docs" />
+		<antcall target="insert-uninstaller"/> <!-- from rk2-targets -->
 		<antcall target="compile-gli" />
 		<antcall target="tweak-files" />
Index: /release-kits/mark2/installer/build.xml
===================================================================
--- /release-kits/mark2/installer/build.xml	(revision 17256)
+++ /release-kits/mark2/installer/build.xml	(revision 17257)
@@ -58,4 +58,5 @@
 				<include name="READMEes.txt"/>
 				<include name="Support.htm"/>
+				<include name="Uninstall.jar"/>
 			</patternset>
 		</unzip>
@@ -96,4 +97,7 @@
 		<delete file="${installDir}/resources/*.png"/>
 
+		<echo>Creating installation properties file</echo>
+		<echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo>
+
 		<echo message="Finished"/>
 
Index: /release-kits/mark3/ant-scripts/build.xml
===================================================================
--- /release-kits/mark3/ant-scripts/build.xml	(revision 17256)
+++ /release-kits/mark3/ant-scripts/build.xml	(revision 17257)
@@ -26,4 +26,5 @@
 	<import file="shared-ant-scripts/init.xml"/>
 	<import file="shared-ant-scripts/operations-on-gli.xml"/>
+	<import file="shared-ant-scripts/global-targets.xml"/>
 	<import file="../greenstone3/ant-scripts/rk3-targets.xml"/>
 	<import file="compile.xml"/>
Index: /release-kits/mark3/ant-scripts/compile.xml
===================================================================
--- /release-kits/mark3/ant-scripts/compile.xml	(revision 17256)
+++ /release-kits/mark3/ant-scripts/compile.xml	(revision 17257)
@@ -23,4 +23,7 @@
 		<antcall target="linux-strip-execs" />
 		<antcall target="compile-search4j" /> <!-- from rk3-targets -->
+
+		<!-- uninstaller -->
+		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
 
 		<!-- documentation -->
Index: /release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17256)
+++ /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17257)
@@ -26,4 +26,5 @@
 		<antcall target="insert-user-manual"/>
 		<antcall target="insert-compiled-binaries"/>
+		<antcall target="insert-uninstaller"/> <!-- from rk3-targets -->
 		<antcall target="rename-build-xml-for-transit"/>
 	</target>
Index: /release-kits/mark3/installer/build.xml
===================================================================
--- /release-kits/mark3/installer/build.xml	(revision 17256)
+++ /release-kits/mark3/installer/build.xml	(revision 17257)
@@ -51,4 +51,5 @@
 				<include name="README.txt"/>
 				<include name="server.jar"/>
+				<include name="Uninstall.jar"/>
 			</patternset>
 
@@ -93,4 +94,7 @@
 		<delete dir="${installDir}/resources/icons"/>
 		<delete file="${installDir}/resources/*.png"/>
+
+		<echo>Creating installation properties file</echo>
+		<echo file="${installDir}/installation.properties">#this file is just a placeholder for now</echo>
 
 		<echo message="Finished"/>
Index: /release-kits/wirk2/ant-scripts/build.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/build.xml	(revision 17256)
+++ /release-kits/wirk2/ant-scripts/build.xml	(revision 17257)
@@ -22,4 +22,5 @@
 	<import file="shared-ant-scripts/init.xml"/>
 	<import file="shared-ant-scripts/operations-on-gli.xml"/>
+	<import file="shared-ant-scripts/global-targets.xml"/>
 	<import file="../greenstone2/ant-scripts/rk2-targets.xml"/>
 	<import file="compile.xml"/>
Index: /release-kits/wirk2/ant-scripts/compile.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/compile.xml	(revision 17256)
+++ /release-kits/wirk2/ant-scripts/compile.xml	(revision 17257)
@@ -9,4 +9,5 @@
 		<antcall target="insert-perl" />
 		<antcall target="compile-c-code" />
+		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
 		<antcall target="build-demo-collection" />
 	</target>
Index: /release-kits/wirk2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17256)
+++ /release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17257)
@@ -9,4 +9,5 @@
 		<antcall target="drop-in-docs" />
 		<antcall target="drop-in-misc" />
+		<antcall target="insert-uninstaller"/> <!-- from rk2-targets -->
 		<antcall target="compile-gli" />
 		<antcall target="tweak-files" />
Index: /release-kits/wirk2/installer/build.xml
===================================================================
--- /release-kits/wirk2/installer/build.xml	(revision 17256)
+++ /release-kits/wirk2/installer/build.xml	(revision 17257)
@@ -71,4 +71,5 @@
 				<include name="setup.bat"/>
 				<include name="server.exe"/>
+				<include name="Uninstall.jar"/>
 				<include name="gsdlsite.cfg"/>
 
@@ -158,4 +159,10 @@
 			iconIndex="0" />
 		<shortcut
+			file="${startmenu.path}\Uninstall.lnk"
+			execute="${installDir}\bin\windows\search4j.exe -h packages\jre -l Uninstaller.jar"
+			workingDirectory="${installDir}"
+			iconFile="${installDir}\images\icon.ico"
+			iconIndex="0" />
+		<shortcut
 			file="${startmenu.path}\Documentation\READMEen.lnk"
 			execute="${installDir}\READMEen.txt" />
Index: /release-kits/wirk3/ant-scripts/compile.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/compile.xml	(revision 17256)
+++ /release-kits/wirk3/ant-scripts/compile.xml	(revision 17257)
@@ -15,5 +15,5 @@
 			<property name="branch.revision" value="${branch.revision}"/>
 		</ant>
-		<antcall target="compile-uninstaller"/>
+		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
 		<antcall target="prepare-documentation" />
 	</target>
Index: /release-kits/wirk3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 17256)
+++ /release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 17257)
@@ -24,5 +24,5 @@
 		<antcall target="insert-user-manual"/>
 		<antcall target="insert-compiled-binaries"/>
-		<antcall target="insert-uninstaller"/>
+		<antcall target="insert-uninstaller"/> <!-- from rk3-targets -->
 		<antcall target="rename-build-xml-for-transit"/>
 	</target>
Index: /release-kits/wirk3/installer/build.xml
===================================================================
--- /release-kits/wirk3/installer/build.xml	(revision 17256)
+++ /release-kits/wirk3/installer/build.xml	(revision 17257)
@@ -73,5 +73,5 @@
 				<include name="README.txt"/>
 				<include name="server.jar"/>
-
+				<include name="Uninstall.jar"/>
 			</patternset>
 		</unzip>
@@ -174,5 +174,13 @@
 			iconFile="${installDir}\resources\images\gs3.ico"
 			iconIndex="0" />
+
+		<shortcut
+			file="${startmenu.path}\Uninstall.lnk"
+			execute="${installDir}\winutil\search4j.exe -h packages\jre -l Uninstaller.jar"
+			workingDirectory="${installDir}"
+			iconFile="${installDir}\images\icon.ico"
+			iconIndex="0" />
 		
+
 		<shortcut
 			file="${startmenu.path}\Documentation\README.lnk"