Index: /gsdl/trunk/macros/english.dm
===================================================================
--- /gsdl/trunk/macros/english.dm	(revision 17262)
+++ /gsdl/trunk/macros/english.dm	(revision 17263)
@@ -568,4 +568,5 @@
 because its title, or an image of the front cover, appears at the top
 left of the page. In some collections, a table of contents appears, while in others 
+(eg. when the paged image option is used) 
 just the page number is shown, along with a box that allows you to select a 
 new page and go forward and backward. In the table of contents, the current 
Index: /gsdl/trunk/macros/french.dm
===================================================================
--- /gsdl/trunk/macros/french.dm	(revision 17262)
+++ /gsdl/trunk/macros/french.dm	(revision 17263)
@@ -542,27 +542,13 @@
 _textreadingdocs_ [l=fr] {Comment lire les documents}
 
-_texthelpreadingdocs_ [l=fr] {<p>You can tell when you have arrived at an individual book or document
-because its title, or a photograph of the front cover, appears at the top
-left of the page. In some collections this is accompanied by a table of
-contents, while others contain just the number of the current page along
-with a box that allows you to select a new page and go forward and
-backward. In the table of contents, the current section heading is in bold
-face, and the table is expandable -- click on the folders to open or close
-them; click on the open book at the top to close it.</p>
-
-<p>Underneath is the text of the current section. When you have read
-through it, there are arrows at the bottom to take you on to the next
-section or back to the previous one.</p>
-
-<p>Below the title or front-cover photograph are some buttons. Click on
-<i>_document:textEXPANDTEXT_</i> to expand out the whole text of the current section, or
-book. If the document is large, this could take a long time and use a lot
-of memory! Click on <i>_document:textEXPANDCONTENTS_</i> to expand out the whole table of
-contents so that you can see the titles of all chapters and
-subsections. Click on <i>_document:textDETACH_</i> to make a new browser window for this
-document. (This is useful if you want to compare documents, or read two at
-once.) Finally, when you do a search the words you search for are
-highlighted. Click on <i>_document:textNOHIGHLIGHT_</i> to remove highlighting.</p>
-}  # Updated 29-Aug-2008
+_texthelpreadingdocs_ [l=fr] {<p>Lorsqu'un document est affichÃ©, titre ou image de la page de couverture apparaÃ®t en haut et Ã  gauche. Dans certaines collections, une table de matiÃšres s'affiche, tandis que dans d'autres (si l'option image paginÃ©e est utilisÃ©e), vous ne trouverez que le numÃ©ro de la page sÃ©lectionnÃ©e et une boÃ®te qui vous permet soit de sÃ©lectionner une nouvelle page, soit de passer Ã  la page suivante ou prÃ©cÃ©dente.
+ 
+ <p>Au-dessous, on trouve le texte de la section sÃ©lectionnÃ©e. A la fin de votre lecture, vous pouvez utiliser l'une des deux flÃšches en bas de page, soit pour passer Ã  la section suivante, soit pour revenir Ã  la section prÃ©cÃ©dente.
+ 
+ <p>Sous le titre ou l'image de la page de couverture se trouvent plusieurs boutons. Cliquez sur <i>_document:textEXPANDTEXT_</i> pour afficher le texte entier de la section ou du document actif. Si le document est volumineux, le chargement peut Ãªtre long et peut nÃ©cessiter beaucoup de mÃ©moire ! Cliquez sur <i>_document:textEXPANDCONTENTS_</i> pour dÃ©velopper la table de matiÃšres en entiÃšre pour que vous puissiez voir les titres de tous les chapitres et sous-sections. Cliquez sur <i>_document:textDETACH_</i> pour crÃ©er une nouvelle fenÃªtre pour ce document (c'est trÃšs utile si vous voulez comparer des 
+documents, ou lire deux documents Ã  la fois). Finalement, lorsque vous faites une requÃªte, les mots utilisÃ©s dans la recherche sont mis en Ã©vidence. Cliquez 
+sur <i>_document:textNOHIGHLIGHT_</i> pour supprimer la mise en Ã©vidence. 
+ 
+}  # Updated 12-Sep-2008 by John Rose
 
 # help about the icons
Index: /gsdl/trunk/macros/french2.dm
===================================================================
--- /gsdl/trunk/macros/french2.dm	(revision 17262)
+++ /gsdl/trunk/macros/french2.dm	(revision 17263)
@@ -709,5 +709,5 @@
 _textselect_ [l=fr] {SÃ©lectionnez une collection}  # Updated 30-Nov-2007 
 _textmeta_ [l=fr] {PrÃ©cisez les mÃ©tadonnÃ©es}  # Updated 30-Nov-2007 
-# -- Missing translation: _textselectoption_
+_textselectoption_ [l=fr] {sÃ©lectionner une collection ...}  # Updated 12-Sep-2008 by John Rose
 
 _texttryagain_ [l=fr] {<a href="_httppagedepositor_" target=_top> RedÃ©marrez le dÃ©posant</a>