Index: gli/trunk/classes/dictionary_fr.properties
===================================================================
--- gli/trunk/classes/dictionary_fr.properties	(revision 17264)
+++ gli/trunk/classes/dictionary_fr.properties	(revision 17265)
@@ -178,7 +178,12 @@
 CDM.IndexManager.Text_Source_Tooltip:Inclure le texte intÃ©gral des documents dans l'index  # Updated 3-Dec-2007 by Georges Braoudakis
 CDM.IndexingManager.Accent_fold:Ignorer accents  # Updated 3-Dec-2007 by Georges Braoudakis
+# -- Missing translation: CDM.IndexingManager.Accent_fold_Tooltip
 CDM.IndexingManager.Casefold:Ignorer casse  # Updated 3-Dec-2007 by Georges Braoudakis
+# -- Missing translation: CDM.IndexingManager.Casefold_Tooltip
 CDM.IndexingManager.Options:Options d'indexation:  # Updated 3-Dec-2007 by Georges Braoudakis
+# -- Missing translation: CDM.IndexingManager.Separate_cjk
+# -- Missing translation: CDM.IndexingManager.Separate_cjk_Tooltip
 CDM.IndexingManager.Stem:Ignorer terminaisons  # Updated 3-Dec-2007 by Georges Braoudakis
+# -- Missing translation: CDM.IndexingManager.Stem_Tooltip
 CDM.LanguageManager.Add_Tooltip:Ajouter la langue spÃ©cifiÃ©e dans la liste
 CDM.LanguageManager.Assigned_Languages:Partitions de langue attribuÃ©es  # Updated 5-Jan-2008 by John Rose
@@ -221,5 +226,5 @@
 CDM.PlugInManager.PlugIn_XML_Parse_Failed:CDM.PlugInManager.PlugIn_XML_Parse_Failed:Impossible de dÃ©terminer les paramÃštres pour le plugiciel {0}\n. Assurez-vous que le plugiciel en question\nfournit le drapeau -xml en exÃ©cutant le script pluginfo.pl dans la section 2.1 du Guide du DÃ©velopeur Greenstone.  # Updated 4-Jan-2008
 CDM.PluginManager.Plugin_List_XML_Parse_Failed:Impossible d'obtenir la liste des modules utilisant pluginfo.pl â listall.  # Updated 3-Dec-2007 by Georges Braoudakis
-CDM.PluginManager.Plugin_Suggestion_Prompt:Aucun des plugiciels associÃ©s Ã  cette collection ne permet de traiter le fichier "{0}". Les plugiciels suivants peuvent Ãªtre utilisÃ©s pour traiter ce fichier. Vous pouvez associer un plugiciel Ã  votre collection en sÃ©lectionnant le plugiciel puis en pressant le bouton 'Ajouter' ('Add'). (Vous pouvez changer la liste des plugiciels Ã  tout moment en allant sur "Plugiciels de document " dans la vue "ParamÃ©trage".)  # Updated 24-Dec-2007 by John Rose
+CDM.PluginManager.Plugin_Suggestion_Prompt:Aucun des plugiciels associÃ©s Ã  cette collection ne permet de traiter directement le fichier "{0}". (Cependant, il peut Ãªtre inclus dans la collection sâil appartient Ã  un autre ficher, par exemple, une image dans une page web.) Les plugiciels suivants peuvent Ãªtre utilisÃ©s pour traiter ce fichier. Vous pouvez associer un plugiciel Ã  votre collection en sÃ©lectionnant le plugiciel puis en cliquant sur le bouton "Ajouter". (Vous pouvez modifier la liste des plugiciels Ã  tout moment en sÃ©lectionnant "Plugiciels de document " dans la vue "ParamÃ©ter".)  # Updated 12-Sep-2008 by John Rose
 CDM.PlugInManager.Remove:Supprimer plugiciel  # Updated 24-Dec-2007 by John Rose
 CDM.PlugInManager.Remove_Tooltip:Supprimer  de la liste le plugiciel sÃ©lectionnÃ©  # Updated 24-Dec-2007 by John Rose
@@ -491,5 +496,4 @@
 ExportAsPrompt.Export_Tooltip:Exporter les collections sÃ©lectionnÃ©es dans le format choisi et le rÃ©pertoire indiquÃ©.
 ExportAsPrompt.Failed_ExportOne:La collection -- {0} -- n'a pu Ãªtre exportÃ©e.
-ExportAsPrompt.Failed_ExportMany:Les collections -- {0} -- n'ont pu Ãªtre exportÃ©es.
 ExportAsPrompt.Failed_Details:Voir {1} pour les dÃ©tails.
 ExportAsPrompt.Failed_Title:Ãchec de l'exportation
@@ -497,5 +501,4 @@
 ExportAsPrompt.Progress_Label:Exportation des fichier. Cela peut prendre un certain tempsâŠ
 ExportAsPrompt.Successful_ExportOne:La collection, {0}, a Ã©tÃ© exportÃ©e.
-ExportAsPrompt.Successful_ExportMany:Les collections -- {0} -- ont Ã©tÃ© exportÃ©es.
 ExportAsPrompt.Successful_Details:Fichiers exportÃ©s sur: {1}
 ExportAsPrompt.Successful_Title:Exportation terminÃ©e
@@ -586,4 +589,6 @@
 Filter.2:Fichiers texte
 Filter.3:Images
+Filter.4:PDF  # Updated 12-Sep-2008 by John Rose
+Filter.5:Documents Office  # Updated 12-Sep-2008 by John Rose
 Filter.All_Files:Tous les fichiers
 Filter.Filter_Tree:Montrer les fichiers
@@ -875,5 +880,6 @@
 #
 #******* OldWGET *******
-NoPluginExpectedToProcessFile.Message:Aucun des plugiciels Greenstone n'est prÃ©vu pour traiter le fichier "{0}". VÃ©rifiez que l'extension du fichier est correcte. Si elle est correcte, utilisez UnknownPlug pour traiter ce fichier.  # Updated 24-Dec-2007 by John Rose
+NoPluginExpectedToProcessFile.Message:Aucun des plugiciels Greenstone n'est prÃ©vu pour traiter directement le fichier "{0}". (Cependant, il peut Ãªtre inclus dans la collection sâil appartient Ã  un autre ficher, par exemple, une image dans une page web.) VÃ©rifiez que l'extension du fichier est correcte. Si elle est correcte, il se peut que vous deviez utiliser UnknownPlug pour traiter ce fichier.
+  # Updated 12-Sep-2008 by John Rose
 NoPluginExpectedToProcessFile.Title:Aucun plugicel prÃ©vu pour traiter le fichier.  # Updated 24-Dec-2007 by John Rose
 #***********************
@@ -906,5 +912,5 @@
 Preferences.Connection.Library_Path_Tooltip:L'URL du serveur web Greenstone
 Preferences.Connection.Library_Path_Tooltip_GS3:URL du serveur web de Greenstone
-# -- Missing translation: Preferences.Connection.Library_Path_Connection_Failure
+Preferences.Connection.Library_Path_Connection_Failure:Connexion Ã©chouÃ©e. ContrÃŽlez que le serveur Greenstone Ã  {0} fonctionne bien.  # Updated 12-Sep-2008 by John Rose
 Preferences.Connection.ProgramCommand:Commande de prÃ©visualisation:
 Preferences.Connection.ProgramCommand_Tooltip:La commande d'exÃ©cution pour le programme utilisÃ© pour prÃ©visualiser la collection. Pensez Ã  utiliser %1 pour rÃ©server de la place pour l'adresse de la collection et Ã  utiliser des symboles lÃ  oÃ¹ c'est nÃ©cessaire.
@@ -928,5 +934,5 @@
 Preferences.General.Interface_Language_Tooltip:SÃ©lectionner la langue que vous voulez utiliser pour l'interface et ses commandes,
 Preferences.General.Restart_Required:GLI doit Ãªtre redÃ©marrÃ© pour mettre Ã  jour son interface.
-# -- Missing translation: Preferences.General.Manual_Restart_Required
+Preferences.General.Manual_Restart_Required:Veuilez rÃ©dÃ©marrer le client GLI pour la prise en compte des paramÃštres de connexion modifiÃ©s.  # Updated 12-Sep-2008 by John Rose
 Preferences.General.Show_File_Size:Montrer les tailles des fichiers
 Preferences.General.Show_File_Size_Tooltip:Montrer les tailles des fichiers Ã  cÃŽtÃ© des entrÃ©es dans le bureau et dans l'arborescence des fichiers des collections.