Index: release-kits/lirk2/ant-scripts/compile.xml
===================================================================
--- release-kits/lirk2/ant-scripts/compile.xml	(revision 17262)
+++ release-kits/lirk2/ant-scripts/compile.xml	(revision 17268)
@@ -19,6 +19,9 @@
 		<antcall target="strip-execs"/>
 
+		<!-- search4j -->
+		<antcall target="compile-search4j" /> <!-- from rk2-targets -->
+
 		<!-- uninstaller -->
-		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
+		<antcall target="compile-uninstaller" /> <!-- from rk2-targets -->
 
 		<!-- build collections -->
Index: release-kits/lirk2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 17262)
+++ release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 17268)
@@ -38,4 +38,5 @@
 		<delete dir="distributions/web/bin/linux" />
 		<exec dir="${basedir}" executable="cp"><arg line="-r gsdl/bin/linux distributions/web/bin"/></exec>
+		<exec dir="${basedir}" executable="cp"><arg line="gsdl/bin/search4j distributions/web/bin"/></exec>
 		<exec dir="${basedir}" executable="cp"><arg line="gsdl/cgi-bin/library distributions/web/cgi-bin"/></exec>
 		<exec dir="${basedir}" executable="cp"><arg line="gsdl/cgi-bin/oaiserver distributions/web/cgi-bin"/></exec>
Index: release-kits/lirk3/ant-scripts/compile.xml
===================================================================
--- release-kits/lirk3/ant-scripts/compile.xml	(revision 17262)
+++ release-kits/lirk3/ant-scripts/compile.xml	(revision 17268)
@@ -25,6 +25,9 @@
 		<antcall target="linux-strip-execs" />
 
+		<!-- search4j -->
+		<antcall target="compile-search4j" /> <!-- from rk3-targets -->
+
 		<!-- uninstaller -->
-		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
+		<antcall target="compile-uninstaller" /> <!-- from rk3-targets -->
 
 		<!-- documentation -->
Index: release-kits/lirk3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 17262)
+++ release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 17268)
@@ -60,4 +60,5 @@
 		<delete dir="distribution/greenstone3/gs2build/bin/linux"/>
 		<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/linux distribution/greenstone3/gs2build/bin"/></exec>
+		<exec dir="${basedir}" executable="cp"><arg line="greenstone3/bin/search4j distribution/greenstone3/bin"/></exec>
 
 		<delete dir="distribution/greenstone3/gs2build/bin/java"/>
Index: release-kits/mark2/ant-scripts/compile.xml
===================================================================
--- release-kits/mark2/ant-scripts/compile.xml	(revision 17262)
+++ release-kits/mark2/ant-scripts/compile.xml	(revision 17268)
@@ -17,6 +17,9 @@
 		<antcall target="strip-execs"/>
 
+		<!-- search4j -->
+		<antcall target="compile-search4j" /> <!-- from rk2-targets -->
+
 		<!-- uninstaller -->
-		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
+		<antcall target="compile-uninstaller" /> <!-- from rk2-targets -->
 
 		<!-- build collections -->
Index: release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17262)
+++ release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17268)
@@ -45,4 +45,5 @@
 		<delete dir="distributions/web/bin/darwin" />
 		<exec dir="${basedir}" executable="cp"><arg line="-r gsdl/bin/darwin distributions/web/bin"/></exec>
+		<exec dir="${basedir}" executable="cp"><arg line="gsdl/bin/search4j distributions/web/bin"/></exec>
 		<exec dir="${basedir}" executable="cp"><arg line="gsdl/cgi-bin/library distributions/web/cgi-bin"/></exec>
 		<exec dir="${basedir}" executable="cp"><arg line="gsdl/cgi-bin/oaiserver distributions/web/cgi-bin"/></exec>
Index: release-kits/mark3/ant-scripts/compile.xml
===================================================================
--- release-kits/mark3/ant-scripts/compile.xml	(revision 17262)
+++ release-kits/mark3/ant-scripts/compile.xml	(revision 17268)
@@ -22,8 +22,10 @@
 		<ant target="build-unix" dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
 		<antcall target="linux-strip-execs" />
+
+		<!-- search4j -->
 		<antcall target="compile-search4j" /> <!-- from rk3-targets -->
 
 		<!-- uninstaller -->
-		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
+		<antcall target="compile-uninstaller" /> <!-- from rk3-targets -->
 
 		<!-- documentation -->
Index: release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17262)
+++ release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17268)
@@ -60,4 +60,5 @@
 		<delete dir="distribution/greenstone3/gs2build/bin/darwin"/>
 		<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/darwin distribution/greenstone3/gs2build/bin"/></exec>
+		<exec dir="${basedir}" executable="cp"><arg line="greenstone3/bin/search4j distribution/greenstone3/bin"/></exec>
 
 		<delete dir="distribution/greenstone3/gs2build/bin/java"/>
Index: release-kits/wirk2/ant-scripts/compile.xml
===================================================================
--- release-kits/wirk2/ant-scripts/compile.xml	(revision 17262)
+++ release-kits/wirk2/ant-scripts/compile.xml	(revision 17268)
@@ -9,5 +9,5 @@
 		<antcall target="insert-perl" />
 		<antcall target="compile-c-code" />
-		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
+		<antcall target="compile-uninstaller" /> <!-- from rk2-targets -->
 		<antcall target="build-demo-collection" />
 	</target>
Index: release-kits/wirk2/ant-scripts/wrap.xml
===================================================================
--- release-kits/wirk2/ant-scripts/wrap.xml	(revision 17262)
+++ release-kits/wirk2/ant-scripts/wrap.xml	(revision 17268)
@@ -19,8 +19,8 @@
 		<copy todir="${basedir}/wrapped-installer/build" file="${wirk2.home}/packages/search4j/libsearch4j.cpp" overwrite="true"/>
 		<copy todir="${basedir}/wrapped-installer/build" file="${wirk2.home}/packages/search4j/libsearch4j.h" overwrite="true"/>
+
 	</target>
 	
 	<target name="tweak-files-for-wrapping">
-		<!-- substitute the real java installer filename and min version into various files -->
 		<echo>Substitute concrete values of things into source files</echo>
 		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${windows-java.installer}"/>
Index: release-kits/wirk3/ant-scripts/compile.xml
===================================================================
--- release-kits/wirk3/ant-scripts/compile.xml	(revision 17262)
+++ release-kits/wirk3/ant-scripts/compile.xml	(revision 17268)
@@ -15,5 +15,5 @@
 			<property name="branch.revision" value="${branch.revision}"/>
 		</ant>
-		<antcall target="compile-uninstaller" /> <!-- from global-targets -->
+		<antcall target="compile-uninstaller" /> <!-- from rk3-targets -->
 		<antcall target="prepare-documentation" />
 	</target>
Index: release-kits/wirk3/ant-scripts/create-installer.xml
===================================================================
--- release-kits/wirk3/ant-scripts/create-installer.xml	(revision 17262)
+++ release-kits/wirk3/ant-scripts/create-installer.xml	(revision 17268)
@@ -9,14 +9,22 @@
 
 	<target name="copy-installer-files">
+
 		<echo>Getting things ready to compile the installer</echo>
 		<mkdir dir="${basedir}/installer/resources"/>
+
+		<!-- the installer descriptors -->
 		<copy todir="${basedir}/installer" file="${wirk3.home}/installer/antinstall-config.xml" overwrite="true" />
 		<copy todir="${basedir}/installer" file="${wirk3.home}/installer/build.xml" overwrite="true" />
+
+		<!-- the language files and other canned classes for the installer -->
 		<copy todir="${basedir}/installer/classes" overwrite="true">
 			<fileset dir="${wirk3.home}/windows/installer-classes"/>
 			<fileset dir="${wirk3.home}/greenstone3/installer-classes"/>
 		</copy>
+
+		<!-- some classes from jars, unpacked to be repacked into installer -->
 		<unjar src="${wirk3.home}/ant-scripts/tasks/greenstone/anttasks.jar" dest="${basedir}/installer/classes"/>
 		<delete dir="${basedir}/installer/classes/META-INF"/>
+
 	</target>
 
Index: release-kits/wirk3/ant-scripts/wrap.xml
===================================================================
--- release-kits/wirk3/ant-scripts/wrap.xml	(revision 17262)
+++ release-kits/wirk3/ant-scripts/wrap.xml	(revision 17268)
@@ -12,7 +12,6 @@
 
 	<target name="copy-files-for-wrapping">
-		<!--create a directory to build the wrapped installer in -->
+		<echo>Copying wrapper source files</echo>
 		<mkdir dir="${basedir}/wrapped-installer/build"/>
-		<!-- copy source files -->
 		<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/windows/wrapper/wrapper.cpp"/>
 		<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/packages/search4j/libsearch4j.cpp"/>
@@ -21,8 +20,8 @@
 	
 	<target name="tweak-files-for-wrapping">
-		<!-- substitute the real java installer filename and min version into various files -->
-		<echo>Substitute concrete values of things into source files</echo>
+		<echo>Substituting concrete values into source files</echo>
 		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
 		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${windows-java.installer}"/>
+		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.extracted@" replacement="${windows-java.extracted}"/>
 		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@bundled.version.java@" replacement="${bundled.version.windows-java}"/>
 	</target>