Index: /release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml
===================================================================
--- /release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml	(revision 17298)
+++ /release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml	(revision 17299)
@@ -53,28 +53,36 @@
 
 		<!-- put the concrete values of things in the config -->
-		<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@version@" replacement="${version}"/>
-		<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.core@" replacement="${component.size.core}"/>
-		<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.sourcecode@" replacement="${component.size.sourcecode}"/>
-		<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.linux-java@" replacement="${component.size.linux-java}"/>
-		<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.windows-java@" replacement="${component.size.windows-java}"/>
-		<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.tomcat@" replacement="${component.size.tomcat}"/>
-		<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.ant@" replacement="${component.size.ant}"/>
+		<rsr file="${basedir}/installer/antinstall-config.xml">
+			<job pattern="@version@" replacement="${version}"/>
+			<job pattern="@component.size.core@" replacement="${component.size.core}"/>
+			<job pattern="@component.size.sourcecode@" replacement="${component.size.sourcecode}"/>
+			<job pattern="@component.size.linux-java@" replacement="${component.size.linux-java}"/>
+			<job pattern="@component.size.windows-java@" replacement="${component.size.windows-java}"/>
+			<job pattern="@component.size.tomcat@" replacement="${component.size.tomcat}"/>
+			<job pattern="@component.size.ant@" replacement="${component.size.ant}"/>
+		</rsr>
 
-		<rsr file="${basedir}/installer/build.xml" pattern="@version@" replacement="${version}"/>
-		<rsr file="${basedir}/installer/build.xml" pattern="@java.min.version@" replacement="${java.min.version}"/>
-		<rsr file="${basedir}/installer/build.xml" pattern="@java.extracted@" replacement="${linux-java.extracted}"/>
+		<rsr file="${basedir}/installer/build.xml">
+			<job pattern="@version@" replacement="${version}"/>
+			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
+			<job pattern="@java.extracted@" replacement="${linux-java.extracted}"/>
+		</rsr>
 
 		<!-- put the concrete values of things in the text -->
 		<!-- default -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@version@" replacement="${version}"/>
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
+		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties">
+			<job pattern="@version@" replacement="${version}"/>
+			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
+			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
+			<job pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
+		</rsr>
 
 		<!-- chinese -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@version@" replacement="${version}"/>
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
+		<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties">
+			<job pattern="@version@" replacement="${version}"/>
+			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
+			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
+			<job pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
+		</rsr>
 
 		<!-- os specific replacements -->