Index: release-kits/wirk3/ant-scripts/build.xml
===================================================================
--- release-kits/wirk3/ant-scripts/build.xml	(revision 17338)
+++ release-kits/wirk3/ant-scripts/build.xml	(revision 17339)
@@ -40,4 +40,4 @@
 		<antcall target="wrap"/>
 	</target>
-
+	
 </project>
Index: release-kits/wirk3/ant-scripts/operations-on-gs3home.xml
===================================================================
--- release-kits/wirk3/ant-scripts/operations-on-gs3home.xml	(revision 17338)
+++ release-kits/wirk3/ant-scripts/operations-on-gs3home.xml	(revision 17339)
@@ -42,5 +42,4 @@
 		
 		<antcall target="checkout-gs2build"/>
-		<antcall target="checkout-gli"/>
 		<delete file="${gli.home}/gli.sh"/>
 		<delete file="${gli.home}/gems.sh"/>
@@ -96,5 +95,12 @@
 
 		<!-- clean up -->
-		<delete><fileset dir="${basedir}" includes="**/.svn"/></delete>
+		<delete includeemptydirs="true">
+			<fileset dir="${basedir}" defaultexcludes="false">
+				<include name="**/.svn/**" />
+				<include name="**/.svn/" />
+				<include name=".svn/**" />
+				<include name=".svn/" />
+			</fileset>
+		</delete>
 		<delete><fileset dir="${basedir}" includes="*.sh"/></delete>
 		<delete><fileset dir="${basedir}/gli" includes="*.sh"/></delete>
@@ -120,5 +126,4 @@
 		<antcall target="run-xslt-binary"/>
 
-		
 	</target>
 
Index: release-kits/wirk3/installer/antinstall-config.xml
===================================================================
--- release-kits/wirk3/installer/antinstall-config.xml	(revision 17338)
+++ release-kits/wirk3/installer/antinstall-config.xml	(revision 17339)
@@ -48,5 +48,5 @@
 		<!-- start bundled java only -->
 		<target
-			target="install-java"
+			target="install-jre"
 			diskRequirement="@component.size.windows-java@"
 			defaultValue="true"
Index: release-kits/wirk3/installer/build.xml
===================================================================
--- release-kits/wirk3/installer/build.xml	(revision 17338)
+++ release-kits/wirk3/installer/build.xml	(revision 17339)
@@ -147,4 +147,12 @@
 	</target>
 	
+	<target name="install-jre">
+		<echo>Installing Java Runtime Environment</echo>
+		<mkdir dir="${installDir}/packages"/>
+		<copy todir="${installDir}/packages/jre">
+			<fileset dir="../@java.extracted@"/>
+		</copy>
+	</target>
+	
 	<target name="cleanuptarget">
 	</target>
@@ -177,10 +185,9 @@
 		<shortcut
 			file="${startmenu.path}\Uninstall.lnk"
-			execute="${installDir}\winutil\search4j.exe -h packages\jre -l Uninstaller.jar"
+			execute="${installDir}\winutil\search4j.exe -h packages\jre -l Uninstall.jar"
 			workingDirectory="${installDir}"
-			iconFile="${installDir}\images\icon.ico"
-			iconIndex="0" />
-		
-
+			iconFile="${installDir}\images\gs3.ico"
+			iconIndex="0" />
+	
 		<shortcut
 			file="${startmenu.path}\Documentation\README.lnk"
Index: release-kits/wirk3/src/wirk3.cpp
===================================================================
--- release-kits/wirk3/src/wirk3.cpp	(revision 17338)
+++ release-kits/wirk3/src/wirk3.cpp	(revision 17339)
@@ -63,9 +63,10 @@
 	
 	//set the classpath
-	classpath = pwd + "\\installer\\classes;" + JAVA_HOME + "\\lib\\tools.jar;" + WIRK3_HOME + "\\lib\\serializer.jar;" + WIRK3_HOME + "\\lib\\xalan.jar;" + WIRK3_HOME + "\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-antlr.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-bcel.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-bsf.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-log4j.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-oro.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-regexp.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-resolver.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-commons-logging.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-commons-net.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-icontract.jar;" + WIRK3_HOME + "\\packages\\ant-1.6.5\\lib\\ant-jai.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-javamail.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-jdepend.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-jmf.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-jsch.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-junit.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-launcher.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-netrexx.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-nodeps.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-starteam.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-stylebook.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-swing.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-trax.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-vaj.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-weblogic.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-xalan1.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-xslp.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-amaranth.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-bluecurve.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-crystalsvg.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-eclipse.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-krystaline.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ant-installer-ext.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ant-installer.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\jgoodies-edited-1_2_2.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\classes";
+	classpath = pwd + "\\installer\\classes;" + JAVA_HOME + "\\lib\\tools.jar;" + WIRK3_HOME + "\\lib\\serializer.jar;" + WIRK3_HOME + "\\lib\\xalan.jar;" + WIRK3_HOME + "\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-antlr.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-bcel.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-bsf.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-log4j.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-oro.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-regexp.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-resolver.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-commons-logging.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-commons-net.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-icontract.jar;" + WIRK3_HOME + "\\packages\\ant-1.6.5\\lib\\ant-jai.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-javamail.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-jdepend.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-jmf.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-jsch.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-junit.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-launcher.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-netrexx.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-nodeps.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-starteam.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-stylebook.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-swing.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-trax.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-vaj.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-weblogic.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-xalan1.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-xslp.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-amaranth.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-bluecurve.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-crystalsvg.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-eclipse.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-krystaline.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ant-installer-ext.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ant-installer.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\jgoodies-edited-1_2_2.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\classes;" + WIRK3_HOME + "\\ant-scripts\\tasks\\svnant\\lib\\svnjavahl.jar;" + WIRK3_HOME + "\\ant-scripts\\tasks\\svnant\\lib\\svnant.jar;" + WIRK3_HOME + "\\ant-scripts\\tasks\\svnant\\lib\\svnClientAdapter.jar";
 	putenv( ("CLASSPATH=" + classpath).c_str() );
+	putenv( ("SystemDrive=C:").c_str() );
 
 	//create the command
-	command = WIRK3_HOME + "\\packages\\ant\\bin\\ant.bat -f " + WIRK3_HOME + "\\ant-scripts\\build.xml -addressing -Dwirk3.home=" + WIRK3_HOME;
+	command = "\"\"" + WIRK3_HOME + "\\packages\\ant\\bin\\ant.bat\" -f \"" + WIRK3_HOME + "\\ant-scripts\\build.xml\" -addressing \"-Dwirk3.home=" + WIRK3_HOME + "\"";
 	//pass on the arguments
 	string a;
@@ -99,8 +100,6 @@
 	
 	//set the basedir in the command
-	command = command + " -Dbasedir=";
-	command = command + pwd;
-
-
+	command = command + " \"-Dbasedir=";
+	command = command + pwd + "\"\"";
 	
 	//command = command + ".";
@@ -116,5 +115,5 @@
 	
 	cout << "pwd: " << pwd << endl;
-	cout << "command: " << command << endl;
+	cout << "command: " << command.c_str() << endl;
 
 	system( command.c_str() );