Index: /release-kits/wirk3/installer/antinstall-config.xml
===================================================================
--- /release-kits/wirk3/installer/antinstall-config.xml	(revision 17369)
+++ /release-kits/wirk3/installer/antinstall-config.xml	(revision 17370)
@@ -46,5 +46,5 @@
 			displayText=""/>		
 
-		<!-- start bundled java only -->
+		<!-- start full -->
 		<target
 			target="install-jre"
@@ -52,6 +52,5 @@
 			defaultValue="true"
 			displayText=""/>
-		<!-- end bundled java only -->
-
+		
 		<target
 			target="install-tomcat"
@@ -67,4 +66,17 @@
 
 		<target
+			target="install-imagemagick"
+			diskRequirement="@component.size.imagemagick@"
+			defaultValue="true"
+			displayText=""/>
+			
+		<target
+			target="install-ghostscript"
+			diskRequirement="@component.size.ghostscript@"
+			defaultValue="true"
+			displayText=""/>
+		<!-- end full -->
+			
+		<target
 			target="install-source-code"
 			diskRequirement="@component.size.sourcecode@"
@@ -74,4 +86,5 @@
 	</page>
 
+	<!-- start full -->
 	<page type="input" name="tomcat-config" ifProperty="(${install-tomcat}==true)" displayText="">
 
@@ -81,4 +94,5 @@
 
 	</page>
+	<!-- end full -->
 
 	<page type="progress" name="progress" showTargets="false" target="cleanuptarget" displayText="">
Index: /release-kits/wirk3/installer/build.xml
===================================================================
--- /release-kits/wirk3/installer/build.xml	(revision 17369)
+++ /release-kits/wirk3/installer/build.xml	(revision 17370)
@@ -18,4 +18,5 @@
 	<typedef name="rsr" classname="org.greenstone.anttasks.RegexSearchReplace" classpathref="project.classpath"/>
 	<typedef name="getfreepath" classname="org.greenstone.anttasks.GetFreePath" classpathref="project.classpath"/>
+	<taskdef name="sevenzip" classname="org.apache.tools.ant.SevenZip" classpathref="project.classpath"/>
 
 	<!-- create a local installDir String -->
@@ -24,4 +25,6 @@
 	</path>
 	<property name="installDir.local" refid="installDir.path"/>
+	<pathconvert targetos="unix" property="installDir.unix" refid="installDir.path"/>
+	
 
 	<!-- load windows properties -->
@@ -48,34 +51,18 @@
 		<echo message="Creating Installation directory"/>
 		<mkdir dir="${installDir}"/>
+
+		<!-- extract 7za tool -->
+		<unzip src="${antinstaller.jar}" dest="${basedir}">
+			<patternset><include name="7za.exe"/></patternset>
+		</unzip>
 		
 		<!-- install files -->
-		<echo message="Installing Files"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}">
-			<patternset>
-
-				<include name="bin/**/*"/>
-				<include name="docs/**/*"/>
-				<include name="gli/**/*"/>
-				<include name="gs2build/**/*"/>
-				<exclude name="gs2build/common-src/**/*"/>
-				<exclude name="gs2build/build-src/**/*"/>
-				<exclude name="gs2build/runtime-src/**/*"/>
-				<include name="lib/**/*"/>
-				<include name="web/**/*"/>
-				<include name="resources/**/*"/>
-				<include name="winutil/**/*"/>
-
-				<include name="greenstone3-build.xml"/>
-				<include name="build.properties"/>
-				<include name="gs3-server.bat"/>
-				<include name="gs3-setup.bat"/>
-				<include name="LICENSE.txt"/>
-				<include name="README.txt"/>
-				<include name="server.jar"/>
-				<include name="Uninstall.jar"/>
-			</patternset>
-		</unzip>
-		<echo/>
-
+		<echo message="Installing Core Component"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="core.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x core.lzma"/></exec>
+		<delete file="core.lzma"/>
+		<unzip src="${basedir}/core.comp" dest="${installDir}"/>
+		<delete file="core.comp"/>
+		
 		<!-- rename greenstone3-build.xml back to build.xml -->
 		<move file="${installDir}/greenstone3-build.xml" tofile="${installDir}/build.xml" overwrite="true"/>
@@ -90,21 +77,23 @@
 		<!-- set gsdlhome in gs2build setup.bat -->
 		<echo message="Setting %GSDLHOME% in gs2build\setup.bat"/>
-		<rsr file="${installDir}/gs2build/setup.bat" pattern="\*\*GSDLHOME\*\*" replacement="${installDir.local}\gs2build" winPath="true"/>
+		<rsr file="${installDir}/gs2build/setup.bat" pattern="\*\*GSDLHOME\*\*" replacement="${installDir.local}\gs2build" />
 		<!-- copy the greenstone3.xml file to tomcat -->
 		<echo message="Copying greenstone3.xml to tomcat directory"/>
 		<copy file="${installDir}/resources/tomcat/greenstone3.xml" tofile="${installDir}/packages/tomcat/conf/Catalina/localhost/greenstone3.xml" overwrite="true"/>
-		<rsr file="${installDir}/packages/tomcat/conf/Catalina/localhost/greenstone3.xml" pattern="@gsdl3webhome@" replacement="${installDir.local}\web" winPath="true" />
+		<rsr file="${installDir}/packages/tomcat/conf/Catalina/localhost/greenstone3.xml" pattern="@gsdl3webhome@" replacement="${installDir.local}\web" />
 
 		<!-- set up global properties -->
 		<echo message="Setting up global properties"/>
 		<copy file="${installDir}/resources/java/global.properties.in" tofile="${installDir}/web/WEB-INF/classes/global.properties" overwrite="true"/>
-		<rsr file="${installDir}/web/WEB-INF/classes/global.properties" pattern="@gsdl3home@" replacement="${installDir.local}\web" winPath="true" />
-		<rsr file="${installDir}/web/WEB-INF/classes/global.properties" pattern="@tomcat.server@" replacement="${tomcat.server}" />
-		<rsr file="${installDir}/web/WEB-INF/classes/global.properties" pattern="@tomcat.port@" replacement="${tomcat.port}" />
+		<rsr file="${installDir}/web/WEB-INF/classes/global.properties">
+			<job pattern="@gsdl3home@" replacement="${installDir.unix}/web" />
+			<job pattern="@tomcat.server@" replacement="${tomcat.server}" />
+			<job pattern="@tomcat.port@" replacement="${tomcat.port}" />
+		</rsr>
 
 		<!-- set up log4j properties-->
 		<echo message="Setting up log4j properties"/>
 		<copy file="${installDir}/resources/java/log4j.properties.in" tofile="${installDir}/web/WEB-INF/classes/log4j.properties" overwrite="true"/>
-		<rsr file="${installDir}/web/WEB-INF/classes/log4j.properties" pattern="@gsdl3home@" replacement="${installDir.local}\web" winPath="true" />
+		<rsr file="${installDir}/web/WEB-INF/classes/log4j.properties" pattern="@gsdl3home@" replacement="${installDir.unix}/web"/>
 
 		<!-- delete unneeded files -->	    
@@ -120,13 +109,9 @@
 	<target name="install-source-code">
 		<echo message="Installing Source Code (src)"/>
-		<mkdir dir="${installDir}/src"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}">
-			<patternset>
-				<include name="src/**/*"/>
-				<include name="gs2build/common-src/**/*"/>
-				<include name="gs2build/build-src/**/*"/>
-				<include name="gs2build/runtime-src/**/*"/>
-			</patternset>
-		</unzip>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="sourcecode.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x sourcecode.lzma"/></exec>
+		<delete file="sourcecode.lzma"/>
+		<unzip src="${basedir}/sourcecode.comp" dest="${installDir}"/>
+		<delete file="sourcecode.comp"/>
 	</target>
 
@@ -134,6 +119,10 @@
 		
 		<echo message="Installing Apache Tomcat"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="packages/tomcat/**/*"/></patternset></unzip>
-
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="tomcat.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x tomcat.lzma"/></exec>
+		<delete file="tomcat.lzma"/>
+		<unzip src="${basedir}/tomcat.comp" dest="${installDir}/packages"/>
+		<delete file="tomcat.comp"/>
+		
 		<!-- change the tomcat ports in tomcats server.xml -->
 		<rsr file="${installDir}/packages/tomcat/conf/server.xml" pattern="@server@" replacement="${tomcat.server}" />
@@ -142,7 +131,30 @@
 
 	</target>
+
 	<target name="install-ant">
 		<echo message="Installing Apache Ant"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="packages/ant/**/*"/></patternset></unzip>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ant.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x ant.lzma"/></exec>
+		<delete file="ant.lzma"/>
+		<unzip src="${basedir}/ant.comp" dest="${installDir}/packages"/>
+		<delete file="ant.comp"/>
+	</target>
+
+	<target name="install-imagemagick">
+		<echo message="Installing ImageMagick"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x imagemagick.lzma"/></exec>
+		<delete file="imagemagick.lzma"/>
+		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}/gs2build/bin/windows"/>
+		<delete file="imagemagick.comp"/>
+	</target>
+
+	<target name="install-ghostscript">
+		<echo message="Installing GhostScript"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ghostscript.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x ghostscript.lzma"/></exec>
+		<delete file="ghostscript.lzma"/>
+		<unzip src="${basedir}/ghostscript.comp" dest="${installDir}/gs2build/bin/windows"/>
+		<delete file="ghostscript.comp"/>
 	</target>
 	