Index: release-kits/wirk2/installer/antinstall-config.xml
===================================================================
--- release-kits/wirk2/installer/antinstall-config.xml	(revision 17380)
+++ release-kits/wirk2/installer/antinstall-config.xml	(revision 17381)
@@ -46,11 +46,21 @@
 			displayText=""/>
 
-		<!-- start bundled java only -->
+		<!-- start full -->
 		<target
-			target="install-java"
+			target="install-windows-jre"
 			diskRequirement="@component.size.windows-java@"
 			defaultValue="true" 
 			displayText=""/>
-		<!-- end bundled java only -->
+		
+		<target
+			target="install-imagemagick"
+			diskRequirement="@component.size.windows-java@"
+			defaultValue="true" 
+			displayText=""/>
+		<target
+			target="install-ghostscript"
+			diskRequirement="@component.size.windows-java@"
+			defaultValue="true" 
+			displayText=""/>
 
 		<target
@@ -59,5 +69,6 @@
 			defaultValue="false"
 			displayText=""/>
-
+		<!-- end full -->
+			
 	</page>
 
@@ -67,5 +78,4 @@
 	</page>
 
-
 	<page type="progress" name="progress" showTargets="false" target="cleanuptarget" displayText=""></page>
 
Index: release-kits/wirk2/installer/build.xml
===================================================================
--- release-kits/wirk2/installer/build.xml	(revision 17380)
+++ release-kits/wirk2/installer/build.xml	(revision 17381)
@@ -46,35 +46,17 @@
 		<echo message="Creating Installation directory"/>
 		<mkdir dir="${installDir}"/>
+
+		<!-- extract 7za tool -->
+		<unzip src="${antinstaller.jar}" dest="${basedir}">
+			<patternset><include name="7za.exe"/></patternset>
+		</unzip>
 		
 		<!-- install files -->
-		<echo message="Installing Files"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}">
-			<patternset>
-
-				<include name="gli/**/*"/>
-				<include name="bin/**/*"/>
-				<include name="cgi-bin/**/*"/>
-				<include name="etc/**/*"/>
-				<include name="mappings/**/*"/>
-				<include name="images/**/*"/>
-				<include name="perllib/**/*"/>
-				<include name="indexers/**/*"/>
-				<include name="macros/**/*"/>
-				<include name="collect/**/*"/>
-
-				<include name="LICENSE.txt"/>
-				<include name="READMEar.txt"/>
-				<include name="READMEes.txt"/>
-				<include name="READMEen.txt"/>
-				<include name="READMEfr.txt"/>
-				<include name="READMEru.txt"/>
-				<include name="setup.bat"/>
-				<include name="server.exe"/>
-				<include name="Uninstall.jar"/>
-				<include name="gsdlsite.cfg"/>
-
-			</patternset>
-		</unzip>
-		<echo/>
+		<echo message="Installing Core Component"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="core.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x core.lzma"/></exec>
+		<delete file="core.lzma"/>
+		<unzip src="${basedir}/core.comp" dest="${installDir}"/>
+		<delete file="core.comp"/>
 		
 		<echo message="Creating admin and demo users"/>
@@ -117,23 +99,36 @@
 	<!-- Source -->
 	<target name="install-source-code" depends="">
-
 		<echo message="Installing Source Code"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}">
-			<patternset>
-				<include name="common-src/**/*"/>
-				<include name="runtime-src/**/*"/>
-				<include name="build-src/**/*"/>
-				<include name="packages/**/*"/>
-			</patternset>
-		</unzip>
-		
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="sourcecode.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x sourcecode.lzma"/></exec>
+		<delete file="sourcecode.lzma"/>
+			<unzip src="${basedir}/sourcecode.comp" dest="${installDir}"/>
+		<delete file="sourcecode.comp"/>
 	</target>
 
-	<target name="install-java">
-		<echo>Installing bundled java</echo>
+	<target name="install-windows-jre">
+		<echo>Installing Java Runtime Environment</echo>
 		<mkdir dir="${installDir}/packages"/>
 		<copy todir="${installDir}/packages/jre">
-			<fileset dir="../@java.extracted@"/>
+			<fileset dir="../@windows-java.extracted@"/>
 		</copy>
+	</target>
+	
+	<target name="install-imagemagick">
+		<echo message="Installing ImageMagick"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x imagemagick.lzma"/></exec>
+		<delete file="imagemagick.lzma"/>
+		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}/bin/windows"/>
+		<delete file="imagemagick.comp"/>
+	</target>
+
+	<target name="install-ghostscript">
+		<echo message="Installing GhostScript"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ghostscript.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x ghostscript.lzma"/></exec>
+		<delete file="ghostscript.lzma"/>
+		<unzip src="${basedir}/ghostscript.comp" dest="${installDir}/bin/windows"/>
+		<delete file="ghostscript.comp"/>
 	</target>
 	
@@ -157,5 +152,5 @@
 		<shortcut
 			file="${startmenu.path}\Greenstone Editor for Metadata Sets (GEMS).lnk"
-			execute="${installDir}\gli\gems4gs3.bat"
+			execute="${installDir}\gli\gems.bat"
 			workingDirectory="${installDir}\gli"
 			iconFile="${installDir}\images\icon.ico"