Index: /gli/trunk/classes/dictionary_fr.properties
===================================================================
--- /gli/trunk/classes/dictionary_fr.properties	(revision 17393)
+++ /gli/trunk/classes/dictionary_fr.properties	(revision 17394)
@@ -347,18 +347,18 @@
 CreatePane.Schedule_Progress:Deroulement des taches programmÃ©es  # Updated 14-Aug-2008 by John Rose
 CreatePane.Schedule:Options de programmation  # Updated 14-Aug-2008 by John Rose
-CreatePane.Schedule_Tooltip:Options pour la programmation de la construction automatique des collections  # Updated 14-Aug-2008 by John Rose
+CreatePane.Schedule_Tooltip:Options pour la programmation de la crÃ©ation automatique des collections  # Updated 26-Sep-2008 by John Rose
 CreatePane.Schedule_Build:Programmer l'action  # Updated 14-Aug-2008 by John Rose
-CreatePane.Schedule_Build_Tooltip:Programmer la construction automatique de la collection  # Updated 14-Aug-2008 by John Rose
+CreatePane.Schedule_Build_Tooltip:Programmer la crÃ©ation automatique de la collection  # Updated 26-Sep-2008 by John Rose
 CreatePane.Build:Options de construction
-CreatePane.Build_Tooltip:Options pour l'Ã©tape d'indexation et de classification lors du paramÃ©trage de la collection  # Updated 5-Jan-2008 by John Rose
+CreatePane.Build_Tooltip:Options pour l'Ã©tape d'indexation et de classification lors de la crÃ©ation de la collection  # Updated 26-Sep-2008 by John Rose
 CreatePane.Build_Collection:Construire collection
-CreatePane.Build_Collection_Tooltip:DÃ©marrer le processus de construction de la collection  # Updated 29-Aug-2008 by John Rose
+CreatePane.Build_Collection_Tooltip:DÃ©marrer le processus de crÃ©ation de la collection  # Updated 26-Sep-2008 by John Rose
 CreatePane.Build_Progress:Progression de la construction
 CreatePane.Cancel_Build:Annuler la construction
-CreatePane.Cancel_Build_Tooltip:ArrÃªter du processus de construction de la collection  # Updated 29-Aug-2008 by John Rose
+CreatePane.Cancel_Build_Tooltip:ArrÃªter du processus de crÃ©ation de la collection  # Updated 26-Sep-2008 by John Rose
 CreatePane.Full_Build:Reconstruction complÃšte  # Updated 23-Jan-2008 by johnrose
 CreatePane.Full_Build_Tooltip:Reconstituez complÃštement la collection depuis le dÃ©but  # Updated 11-Mar-2006
 CreatePane.Import:Options d'importation
-CreatePane.Import_Tooltip:Options pour la phase de conversion de fichiers et d'attribution de mÃ©tadonnÃ©es lors de la construction de la collection  # Updated 29-Aug-2008 by John Rose
+CreatePane.Import_Tooltip:Options pour la phase de conversion de fichiers et d'attribution de mÃ©tadonnÃ©es lors de la crÃ©ation de la collection  # Updated 26-Sep-2008 by John Rose
 CreatePane.Import_Progress:Progression de l'importation
 CreatePane.Minimal_Build:Reconstruction minimale  # Updated 23-Jan-2008 by johnrose
@@ -366,5 +366,5 @@
 CreatePane.Minimal_Build_Not_Required:La reconstruction n'est pas nÃ©cessaire parce que vous n'avez ajoutÃ© aucun fichier Ã  la collection,\nni revisÃ© aucune mÃ©tadonnÃ©e, ni modifiÃ© les options dans la vue "ParamÃ©trer".\n(Pour provoquer la reconstruction, chosir "Construction complÃšte" et sÃ©lectionner le bouton "Construire collection".)  # Updated 24-Dec-2007 by John Rose
 CreatePane.Log:Historique de messages  # Updated 29-Aug-2008 by John Rose
-CreatePane.Log_Tooltip:Voir les rÃ©sultats des prÃ©cÃ©dents essais de construction de la collection  # Updated 29-Aug-2008 by John Rose
+CreatePane.Log_Tooltip:Voir les rÃ©sultats des prÃ©cÃ©dents essais de crÃ©ation de la collection  # Updated 26-Sep-2008 by John Rose
 CreatePane.Mode_All:tout
 CreatePane.Options:Groupes d'options
@@ -880,6 +880,5 @@
 #
 #******* OldWGET *******
-NoPluginExpectedToProcessFile.Message:Aucun des plugiciels Greenstone n'est prÃ©vu pour traiter directement le fichier "{0}". (Cependant, il peut Ãªtre inclus dans la collection sâil appartient Ã  un autre ficher, par exemple, une image dans une page web.) VÃ©rifiez que l'extension du fichier est correcte. Si elle est correcte, il se peut que vous deviez utiliser UnknownPlug pour traiter ce fichier.
-  # Updated 12-Sep-2008 by John Rose
+NoPluginExpectedToProcessFile.Message:Aucun des plugiciels Greenstone n'est prÃ©vu pour traiter directement le fichier "{0}". (Cependant, il peut Ãªtre inclus dans la collection sâil appartient Ã  un autre ficher, par exemple, une image dans une page web.) VÃ©rifiez que l'extension du fichier est correcte. Si elle est correcte, il se peut que vous deviez utiliser UnknownPlug pour traiter ce fichier.  # Updated 12-Sep-2008 by John Rose
 NoPluginExpectedToProcessFile.Title:Aucun plugicel prÃ©vu pour traiter le fichier.  # Updated 24-Dec-2007 by John Rose
 #***********************