Index: gli/trunk/help/fr/help.xml
===================================================================
--- gli/trunk/help/fr/help.xml	(revision 17394)
+++ gli/trunk/help/fr/help.xml	(revision 17395)
@@ -61,5 +61,5 @@
 </Title>
 <Text id="31">Pour ouvrir une collection existante, choisir Â«OuvrirÂ» dans le menu Â«FichierÂ» pour obtenir une nouvelle fenÃªtre de dialogue. Une liste de vos collections Greenstone apparaÃ®t. En sÃ©lectionner une pour voir sa description puis cliquer sur Â«OuvrirÂ» pour l'activer.</Text><Updated date="16-Jul-2008 by johnrose"/>
-<Text id="32">Pour ouvrir une collection existante, choisir Â«OuvrirÂ» dans le menu Â«FichierÂ» pour obtenir une nouvelle fenÃªtre de dialogue. Une liste de vos collections Greenstone apparaÃ®t. En sÃ©lectionner une pour voir sa description puis cliquer sur Â«OuvrirÂ» pour l'activer. Si l'on cherche une collection qui est hors du dossier Â«collectÂ» de Greenstone, cliquer sur Â«ParcourirÂ» pour afficher les autres dossiers du systÃšme.</Text><Updated date="22-Apr-2008 by John Rose"/>
+<Text id="32">Au cas oÃ¹ plusieurs programmes de l'Interface BibliothÃ©caire de Greenstone seraient exÃ©cutÃ©s simultanÃ©ment, les rÃ©pertoires concernÃ©s seront verrouillÃ©s pour prÃ©venir toute interfÃ©rence. A l'ouverture d'une collection, un petit fichier de verrouillage temporaire est crÃ©Ã© dans son dossier. Avant d'ouvrir une collection, l'Interface BibliothÃ©caire vÃ©rifie qu'aucun fichier de verrouillage n'existe dÃ©jÃ . Cependant, lorsqu'on quitte l'Interface BibliothÃ©caire prÃ©maturÃ©ment, le fichier de verrouillage est parfois conservÃ©. Lorsqu'une collection est ouverte, l'Interface BibliothÃ©caire demande si l'on veut Â«survolerÂ» ce contrÃŽle. Vous Ãªtes libre de le faire, mais prenez garde que personne d'autre ne travaille sur la mÃªme collection au mÃªme moment.</Text><Updated date="26-Sep-2008 by John Rose"/>
 <Text id="33">Si vous ouvrez une collection qui n'a pas Ã©tÃ© crÃ©Ã©e par l'Interface BibliothÃ©caire de Greenstone, le jeu de mÃ©tadonnÃ©es Dublin Core lui sera attribuÃ©, et les mÃ©tadonnÃ©es existantes seront importÃ©es telles quelles lorsque vous ajoutez des fichiers contenant des mÃ©tadonnÃ©es. Ce processus est dÃ©crit dans la section <Reference target="importingpreviouslyassignedmetadata"/>.</Text><Updated date="1-Aug-2008 by johnrose"/>
 </Section>
Index: gli/trunk/help/fr/openingacollection.htm
===================================================================
--- gli/trunk/help/fr/openingacollection.htm	(revision 17394)
+++ gli/trunk/help/fr/openingacollection.htm	(revision 17395)
@@ -14,5 +14,5 @@
 <p>Pour ouvrir une collection existante, choisir &laquo;Ouvrir&raquo; dans le menu &laquo;Fichier&raquo; pour obtenir une nouvelle fen&ecirc;tre de dialogue. Une liste de vos collections Greenstone appara&icirc;t. En s&eacute;lectionner une pour voir sa description puis cliquer sur &laquo;Ouvrir&raquo; pour l'activer.</p>
 
-<p>Pour ouvrir une collection existante, choisir &laquo;Ouvrir&raquo; dans le menu &laquo;Fichier&raquo; pour obtenir une nouvelle fen&ecirc;tre de dialogue. Une liste de vos collections Greenstone appara&icirc;t. En s&eacute;lectionner une pour voir sa description puis cliquer sur &laquo;Ouvrir&raquo; pour l'activer. Si l'on cherche une collection qui est hors du dossier &laquo;collect&raquo; de Greenstone, cliquer sur &laquo;Parcourir&raquo; pour afficher les autres dossiers du syst&egrave;me.</p>
+<p>Au cas o&ugrave; plusieurs programmes de l'Interface Biblioth&eacute;caire de Greenstone seraient ex&eacute;cut&eacute;s simultan&eacute;ment, les r&eacute;pertoires concern&eacute;s seront verrouill&eacute;s pour pr&eacute;venir toute interf&eacute;rence. A l'ouverture d'une collection, un petit fichier de verrouillage temporaire est cr&eacute;&eacute; dans son dossier. Avant d'ouvrir une collection, l'Interface Biblioth&eacute;caire v&eacute;rifie qu'aucun fichier de verrouillage n'existe d&eacute;j&agrave;. Cependant, lorsqu'on quitte l'Interface Biblioth&eacute;caire pr&eacute;matur&eacute;ment, le fichier de verrouillage est parfois conserv&eacute;. Lorsqu'une collection est ouverte, l'Interface Biblioth&eacute;caire demande si l'on veut &laquo;survoler&raquo; ce contr&ocirc;le. Vous &ecirc;tes libre de le faire, mais prenez garde que personne d'autre ne travaille sur la m&ecirc;me collection au m&ecirc;me moment.</p>
 
 <p>Si vous ouvrez une collection qui n'a pas &eacute;t&eacute; cr&eacute;&eacute;e par l'Interface Biblioth&eacute;caire de Greenstone, le jeu de m&eacute;tadonn&eacute;es Dublin Core lui sera attribu&eacute;, et les m&eacute;tadonn&eacute;es existantes seront import&eacute;es telles quelles lorsque vous ajoutez des fichiers contenant des m&eacute;tadonn&eacute;es. Ce processus est d&eacute;crit dans la section <a href="importingpreviouslyassignedmetadata.htm">Importer des m&eacute;tadonn&eacute;es pr&eacute;-attribu&eacute;es</a>.</p>